<?php

namespace Wun\Wun\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Wun\Wun\Interfaces\SystemsettingsRepositoryInterface;

class SystemsettingsPublicController extends BaseController
{
    // use SystemsettingsWorkflow;

    /**
     * Constructor.
     *
     * @param type \Wun\Systemsettings\Interfaces\SystemsettingsRepositoryInterface $systemsettings
     *
     * @return type
     */
    public function __construct(SystemsettingsRepositoryInterface $systemsettings)
    {
        $this->repository = $systemsettings;
        parent::__construct();
    }

    /**
     * Show systemsettings's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $systemsettings = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('wun::public.systemsettings.index', compact('systemsettings'))->render();
    }

    /**
     * Show systemsettings.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $systemsettings = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('wun::public.systemsettings.show', compact('systemsettings'))->render();
    }

}
