<?php

namespace Wun\Wun\Workflow;

use Wun\Wun\Models\Systemsettings;
use Wun\Wun\Notifications\Systemsettings as SystemsettingsNotifyer;
use Notification;

class SystemsettingsNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Systemsettings $systemsettings
     *
     * @return void
     */
    public function complete(Systemsettings $systemsettings)
    {
        return Notification::send($systemsettings->user, new SystemsettingsNotifyer($systemsettings, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Systemsettings $systemsettings
     *
     * @return void
     */
    public function verify(Systemsettings $systemsettings)
    {
        return Notification::send($systemsettings->user, new SystemsettingsNotifyer($systemsettings, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Systemsettings $systemsettings
     *
     * @return void
     */
    public function approve(Systemsettings $systemsettings)
    {
        return Notification::send($systemsettings->user, new SystemsettingsNotifyer($systemsettings, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Systemsettings $systemsettings
     *
     * @return void
     */
    public function publish(Systemsettings $systemsettings)
    {
        return Notification::send($systemsettings->user, new SystemsettingsNotifyer($systemsettings, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Systemsettings $systemsettings
     *
     * @return void
     */
    public function archive(Systemsettings $systemsettings)
    {
        return Notification::send($systemsettings->user, new SystemsettingsNotifyer($systemsettings, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Systemsettings $systemsettings
     *
     * @return void
     */
    public function unpublish(Systemsettings $systemsettings)
    {
        return Notification::send($systemsettings->user, new SystemsettingsNotifyer($systemsettings, 'unpublish'));;

    }
}
