<?php

namespace Wun\Wun;

use User;

class Wun
{
    /**
     * $systemsettings object.
     */
    protected $systemsettings;

    /**
     * Constructor.
     */
    public function __construct(\Wun\Wun\Interfaces\SystemsettingsRepositoryInterface $systemsettings)
    {
        $this->systemsettings = $systemsettings;
    }

    /**
     * Returns count of wun.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.systemsettings.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->systemsettings->pushCriteria(new \Litepie\Wun\Repositories\Criteria\SystemsettingsUserCriteria());
        }

        $systemsettings = $this->systemsettings->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('wun::' . $view, compact('systemsettings'))->render();
    }
}
